# Tcl package index file, version 1.0

global tcl_platform

    if {$tcl_platform(os) == "Windows NT"} then {set os Win} else {set os $tcl_platform(os)}

    switch $os {
        Win    {
           package ifneeded Tclx 8.4 [list load [file join $dir bin_Win tclx84.dll] Tclx]
        }        
        SunOS  {
           package ifneeded Tclx 8.4 [list load [file join $dir lib_SunOS libtclx8.4.so] Tclx]
        }
        Linux  {
           switch  $tcl_platform(machine) {
               i686 -
               intel {
                   package ifneeded Tclx 8.4 [list load [file join $dir lib_Linux libtclx8.4.so] Tclx]
               }
               ppc {
                   package ifneeded Tclx 8.4 [list load [file join $dir lib_linux-$env(processor) libtclx8.4.so] Tclx]
               }
               default {"unknown or unsupported machine - $tcl_platform(machine)"}
           }
        }
    }

